//#region src/infra/private-temp-workspace.d.ts
declare function tempWorkspace(...args: any[]): any;
declare function tempWorkspaceSync(...args: any[]): any;
declare function withTempWorkspace(...args: any[]): any;
declare function withTempWorkspaceSync(...args: any[]): any;
type TempWorkspace = import("@nodmix/fs-safe/temp").TempWorkspace;
type TempWorkspaceOptions = import("@nodmix/fs-safe/temp").TempWorkspaceOptions;
type TempWorkspaceSync = import("@nodmix/fs-safe/temp").TempWorkspaceSync;
//#endregion
export { tempWorkspaceSync as a, tempWorkspace as i, TempWorkspaceOptions as n, withTempWorkspace as o, TempWorkspaceSync as r, withTempWorkspaceSync as s, TempWorkspace as t };